Subject: Re: [bitcoin-dev] Hard fork proposal from last week's meeting

From: Aymeric Vitte <[email-masked]>
Date: Wed, 29 Mar 2017 18:00:25 +0200

Le 29/03/2017 à 11:16, Jared Lee Richardson via bitcoin-dev a écrit :
> Nodes process transactions and are paid nothing to do so, and their
> costs are 100x more relevant to the blocksize debate than a paper
> about miner costs.
>
> Miners are rewarded with fees; nodes are rewarded only by utility and
> price increases.

Nodes are rewarded by just nothing which is the main problem of the
bitcoin network (who is therefore not a decentralized system today)
although it seems like everybody is eluding the issue (as well as how to
find solutions to setup quickly full nodes as you quoted in another
answer to this thread, and of course design a decentralized system to
make sure that full nodes behave correctly)

Bitcoin would not be in this situation (ie maybe at the mercy of a very
small minority of freeriders among all the entities involved in the
network, ie miners,  just seeking to make more and more money because
they invested in an anti-ecological pow, not understanding that bitcoin
is not just about money) if more nodes were existing and could reject
their blocks

It seems like the initial message of this thread(t) is an ultimatum:
whether you implement what we ask, whether we join BU and then > 50 is
almost reached...

>
> On Tue, Mar 28, 2017 at 10:53 AM, Alphonse Pace via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Juan,
>
>     I suggest you take a look at this
>     paper: http://fc16.ifca.ai/bitcoin/papers/CDE+16.pdf
>     <http://fc16.ifca.ai/bitcoin/papers/CDE+16.pdf>  It may help you
>     form opinions based in science rather than what appears to be
>     nothing more than a hunch.  It shows that even 4MB is unsafe. 
>     SegWit provides up to this limit.
>
>     8MB is most definitely not safe today.
>
>     Whether it is unsafe or impossible is the topic, since Wang Chun
>     proposed making the block size limit 32MiB.  
>
>
>     Wang Chun,
>
>     Can you specify what meeting you are talking about?  You seem to
>     have not replied on that point.  Who were the participants and
>     what was the purpose of this meeting?
>
>     -Alphonse
>
>     On Tue, Mar 28, 2017 at 12:33 PM, Juan Garavaglia <[email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         Alphonse,
>
>          
>
>         In my opinion if 1MB limit was ok in 2010, 8MB limit is ok on
>         2016 and 32MB limit valid in next halving, from network,
>         storage and CPU perspective or 1MB was too high in 2010 what
>         is possible or 1MB is to low today.
>
>          
>
>         If is unsafe or impossible to raise the blocksize is a
>         different topic. 
>
>          
>
>         Regards
>
>          
>
>         Juan
>
>          
>
>          
>
>         *From:[email-masked]
>         <mailto:[email-masked]>
>         [mailto:[email-masked]
>         <mailto:[email-masked]>] *On
>         Behalf Of *Alphonse Pace via bitcoin-dev
>         *Sent:* Tuesday, March 28, 2017 2:24 PM
>         *To:* Wang Chun <[email-masked]
>         <mailto:[email-masked]>>; Bitcoin Protocol Discussion
>         <[email-masked]
>         <mailto:[email-masked]>>
>         *Subject:* Re: [bitcoin-dev] Hard fork proposal from last
>         week's meeting
>
>          
>
>         What meeting are you referring to?  Who were the participants?
>
>          
>
>         Removing the limit but relying on the p2p protocol is not
>         really a true 32MiB limit, but a limit of whatever transport
>         methods provide.  This can lead to differing consensus if
>         alternative layers for relaying are used.  What you seem to be
>         asking for is an unbound block size (or at least determined by
>         whatever miners produce).  This has the possibility (and even
>         likelihood) of removing many participants from the network,
>         including many small miners.  
>
>          
>
>         32MB in less than 3 years also appears to be far beyond limits
>         of safety which are known to exist far sooner, and we cannot
>         expect hardware and networking layers to improve by those
>         amounts in that time.
>
>          
>
>         It also seems like it would be much better to wait until
>         SegWit activates in order to truly measure the effects on the
>         network from this increased capacity before committing to any
>         additional increases.
>
>          
>
>         -Alphonse
>
>          
>
>          
>
>          
>
>         On Tue, Mar 28, 2017 at 11:59 AM, Wang Chun via bitcoin-dev
>         <[email-masked]
>         <mailto:[email-masked]>> wrote:
>
>             I've proposed this hard fork approach last year in Hong
>             Kong Consensus
>             but immediately rejected by coredevs at that meeting,
>             after more than
>             one year it seems that lots of people haven't heard of it.
>             So I would
>             post this here again for comment.
>
>             The basic idea is, as many of us agree, hard fork is risky
>             and should
>             be well prepared. We need a long time to deploy it.
>
>             Despite spam tx on the network, the block capacity is
>             approaching its
>             limit, and we must think ahead. Shall we code a patch
>             right now, to
>             remove the block size limit of 1MB, but not activate it
>             until far in
>             the future. I would propose to remove the 1MB limit at the
>             next block
>             halving in spring 2020, only limit the block size to 32MiB
>             which is
>             the maximum size the current p2p protocol allows. This
>             patch must be
>             in the immediate next release of Bitcoin Core.
>
>             With this patch in core's next release, Bitcoin works just
>             as before,
>             no fork will ever occur, until spring 2020. But everyone
>             knows there
>             will be a fork scheduled. Third party services, libraries,
>             wallets and
>             exchanges will have enough time to prepare for it over the
>             next three
>             years.
>
>             We don't yet have an agreement on how to increase the
>             block size
>             limit. There have been many proposals over the past years,
>             like
>             BIP100, 101, 102, 103, 104, 105, 106, 107, 109, 148, 248,
>             BU, and so
>             on. These hard fork proposals, with this patch already in
>             Core's
>             release, they all become soft fork. We'll have enough time
>             to discuss
>             all these proposals and decide which one to go. Take an
>             example, if we
>             choose to fork to only 2MB, since 32MiB already scheduled,
>             reduce it
>             from 32MiB to 2MB will be a soft fork.
>
>             Anyway, we must code something right now, before it
>             becomes too late.
>             _______________________________________________
>             bitcoin-dev mailing list
>             [email-masked]
>             <mailto:[email-masked]>
>             https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>             <https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev>
>
>          
>
>
>
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>     <https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev>
>
>
>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev

-- 
Zcash wallets made simple: https://github.com/Ayms/zcash-wallets
Bitcoin wallets made simple: https://github.com/Ayms/bitcoin-wallets
Get the torrent dynamic blocklist: http://peersm.com/getblocklist
Check the 10 M passwords list: http://peersm.com/findmyass
Anti-spies and private torrents, dynamic blocklist: http://torrent-live.org
Peersm : http://www.peersm.com
torrent-live: https://github.com/Ayms/torrent-live
node-Tor : https://www.github.com/Ayms/node-Tor
GitHub : https://www.github.com/Ayms